MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026506Open CASCADE[OCCT] OCCT:Codingpublic2015-07-31 12:062016-04-20 15:48
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026506: Change class BRepLib_CheckCurveOnSurface
Description1. Current release contains declaration of BRepLib_CheckCurveOnSurface::ErrorStatus() function but does not contain its definition.

2. Using this class e.g. in BRepTools (TKBRep) is impossible. Therefore, geometric part should be separated (move to GeomLib_CheckCurveOnSurface) from topological part. After that, computation of tolerance value (which will return GeomLib (TKGeomBase)) will be possible to use from TKBRep.
Steps To ReproduceTest case is not required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026323closedbugmaster Open CASCADE Tolerance computing unification 
related to 0026365assignedkgv Open CASCADE Optimization of work of OSD_Parallel class members for GeomLib_CheckCurveOnSurface 

-  Notes
(0043766)
git (administrator)
2015-07-31 17:43

Branch CR26506 has been created by nbv.

SHA-1: b932b9319e7cb98aa7b5173cf632e8a6330333ed


Detailed log of new commits:

Author: nbv
Date: Fri Jul 31 13:46:15 2015 +0300

    0026506: Change class BRepLib_CheckCurveOnSurface
    
    1. Inline methods have been moved to hxx-file.
    2. Geometric part of BRepLib_CheckCurveOnSurface has been moved to GeomLib_CheckCurveOnSurface.
(0043767)
nbv (developer)
2015-07-31 17:45

Dear Mikhail,

Please review the current state of the CR26506 branch.
(0043776)
git (administrator)
2015-08-03 10:19

Branch CR26506 has been updated by msv.

SHA-1: 5b19a8eccb3a7d38db60679390df4e0d4e097862


Detailed log of new commits:

Author: msv
Date: Fri Jul 31 15:24:44 2015 +0300

    Move try/catch treatment to low level (from BRepLib_CheckCurveOnSurface to GeomLib_CheckCurveOnSurface).

(0043777)
msv (developer)
2015-08-03 10:25

Reviewed.
(0043820)
mkv (tester)
2015-08-04 17:52

Dear BugMaster,
Branch CR26506 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5b19a8eccb3a7d38db60679390df4e0d4e097862

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91898157 / 91608851 [+0.32%]
Total CPU difference: 17833.019999998964 / 18131.999999999094 [-1.65%]
products component :
Total MEMORY difference: 24844479 / 24843720 [+0.00%]
Total CPU difference: 7286.089999999985 / 6151.349999999959 [+18.45%]

Testing on Windows:
occt component :
Total MEMORY difference: 57607185 / 57630656 [-0.04%]
Total CPU difference: 16136.665439498996 / 16351.697217899175 [-1.32%]
products component :
Total MEMORY difference: 16004850 / 16012079 [-0.05%]
Total CPU difference: 5154.304240199958 / 5281.92865829996 [-2.42%]

There are no differences in images found by testdiff.
(0044131)
git (administrator)
2015-08-14 10:52

Branch CR26506 has been deleted by inv.

SHA-1: 5b19a8eccb3a7d38db60679390df4e0d4e097862

- Related Changesets
occt: master 5adae760
Timestamp: 2015-08-06 09:13:41
Author: nbv
Committer: bugmaster
Details ] Diff ]
0026506: Change class BRepLib_CheckCurveOnSurface

1. Inline methods have been moved to hxx-file.
2. Geometric part of BRepLib_CheckCurveOnSurface has been moved to GeomLib_CheckCurveOnSurface.

Move try/catch treatment to low level (from BRepLib_CheckCurveOnSurface to GeomLib_CheckCurveOnSurface).
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.hxx Diff ] File ]
rm - src/BRepLib/BRepLib_CheckCurveOnSurface.lxx Diff ] File ]
mod - src/BRepLib/FILES Diff ] File ]
mod - src/GeomLib/FILES Diff ] File ]
add - src/GeomLib/GeomLib_CheckCurveOnSurface.cxx Diff ] File ]
add - src/GeomLib/GeomLib_CheckCurveOnSurface.hxx Diff ] File ]
mod - src/IntTools/IntTools_Tools.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-31 12:06 nbv New Issue
2015-07-31 12:06 nbv Assigned To => nbv
2015-07-31 12:07 nbv Relationship added related to 0026323
2015-07-31 12:13 nbv Status new => assigned
2015-07-31 12:25 nbv Relationship added related to 0025597
2015-07-31 14:49 nbv Severity minor => integration request
2015-07-31 14:49 nbv Description Updated View Revisions
2015-07-31 16:02 nbv Relationship added related to 0026365
2015-07-31 17:43 git Note Added: 0043766
2015-07-31 17:45 nbv Note Added: 0043767
2015-07-31 17:45 nbv Assigned To nbv => msv
2015-07-31 17:45 nbv Status assigned => resolved
2015-08-03 10:19 git Note Added: 0043776
2015-08-03 10:25 msv Note Added: 0043777
2015-08-03 10:25 msv Assigned To msv => bugmaster
2015-08-03 10:25 msv Status resolved => reviewed
2015-08-03 13:37 mkv Assigned To bugmaster => mkv
2015-08-04 17:52 mkv Note Added: 0043820
2015-08-04 17:52 mkv Assigned To mkv => bugmaster
2015-08-04 17:52 mkv Status reviewed => tested
2015-08-04 17:53 mkv Test case number => Not needed
2015-08-07 16:01 bugmaster Changeset attached => occt master 5adae760
2015-08-07 16:01 bugmaster Status tested => verified
2015-08-07 16:01 bugmaster Resolution open => fixed
2015-08-14 10:52 git Note Added: 0044131
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker